Listar aplicaciones
curl --request GET \
--url https://identity.sandbox.lerian.net/v1/applications \
--header 'Authorization: Bearer <token>'import requests
url = "https://identity.sandbox.lerian.net/v1/applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://identity.sandbox.lerian.net/v1/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"clientId": "019c96a0-6a10-7abc-d1e2-8c9d0e1f2a3b",
"clientSecret": "019c96a0-6a20-7bcd-e1f2-9d0e1f2a3b4c",
"createdAt": "2025-04-08T08:01:30.000Z",
"description": "Midaz utilizada por la aplicación X",
"id": "019c96a0-0c0c-7221-8cf3-13313fb60081",
"name": "midaz"
},
{
"clientId": "019c96a0-6b10-7def-a1b2-1f2a3b4c5d6e",
"clientSecret": "019c96a0-6b20-7efa-b1c2-2a3b4c5d6e7f",
"createdAt": "2025-04-07T18:57:57.312Z",
"description": "Fee utilizada por la aplicación Y",
"id": "019c96a0-6b30-7fab-c1d2-3b4c5d6e7f8a",
"name": "plugin-fees"
}
]{
"code": "IDE-1002",
"title": "No Applications Found",
"message": "No applications were found in the search."
}{
"code": "IDE-0006",
"title": "Internal Server Error",
"message": "The server encountered an unexpected error. Please try again later."
}Listar aplicaciones
Utiliza este endpoint para listar todas las aplicaciones que creaste para conectarte con la aplicación de Lerian mediante credenciales M2M.
GET
/
v1
/
applications
Listar aplicaciones
Autorizaciones
El token de autorización en formato 'Bearer '.
Respuesta
La lista incluye todas las aplicaciones que has creado para conectarte con la aplicación de Lerian..
Identificador único del cliente.
Clave secreta vinculada al clientId, utilizada para la autenticación segura del cliente.
Marca de tiempo que indica cuándo se creó la aplicación.
Identificador claro que te ayuda a reconocer rápidamente qué servicio, trabajo o integración usa la aplicación.
Identificador único de la aplicación.
El producto o plugin de Lerian al que puede acceder esta aplicación máquina a máquina.
¿Esta página le ayudó?
⌘I

